import numpy as np

def readRanges(fileName):
   with open(fileName) as f:
      ranges = {}
      while True:
         line = f.readline()
         if line in ['', '\n']:
            return ranges
         try:
            name = line.split('(')[1].split(')')[0]
         except:
            raise NameError(line, 'not parsed correctly')
         if name in ranges:
            raise NameError(name, 'already in ranges')
         try:
            ranges[name] = np.array(f.readline().split()[1:],dtype=float)
         except:
            raise NameError('Got as far as ', ranges)

